CRUX mesa3d switch to GLVND (libglvnd)

Daryl F wyatt at prairieturtle.ca
Sun Aug 12 00:34:50 UTC 2018


Hi Matt,

When I built libglvnd on my docker "clean" build environment it seemed to 
be missing a dependency for xorg-libxext. I got:

checking for PTHREAD_PRIO_INHERIT... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for x11... yes
checking for xext... no
configure: error: Package requirements (xext) were not met:

No package 'xext' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables XEXT_CFLAGS
and XEXT_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
=======> ERROR: Building '/usr/ports/pkgs/libglvnd#1.0.0-1.pkg.tar.xz' 
failed.

-- Packages where install failed
libglvnd



When I installed xorg-libxext manually the build went fine.

Regards, Daryl


More information about the CRUX mailing list